#
# spec file for package qml-box2d
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           qml-box2d
Version:        0+git.1523004651.b7212d5
Release:        bp153.1.1
Summary:        QML Box2D plugin
License:        Zlib
Group:          Development/Libraries/C and C++
URL:            https://github.com/%{name}/%{name}
Source:         %{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Quick)

%description
This plugin is meant to be installed to your Qt/imports directory, or shipped
in a directory of which the parent is added as import path.

The goal is to expose the functionality of Box2D as QML components, in order
to make it easy to write physics-based games in QML.

%prep
%setup -q

%build
# FIXME: you should use the %%qmake5 macro
qmake-qt5 QMAKE_CFLAGS+="%{optflags}" QMAKE_CXXFLAGS+="%{optflags}" QMAKE_STRIP="/bin/true";
%make_build

%install
make VERBOSE=1 %{?_smp_mflags} INSTALL_ROOT=%{buildroot} install

rm -rf "%{buildroot}%{_libdir}/qt5/tests"

%files
%license COPYING
%doc README.md
%{_libdir}/qt5/

%changelog
* Mon Feb 22 2021 bruno@ioda-net.ch
- Update to version 0+git.1523004651.b7212d5:
  * debian: select qt5
  * debian: follow debian qml-module naming sheme
  * debian: standards-version 4.1.3 and compat 11
  * Rename README to README.md Markdown syntax only works well with .md file ending.
  * Improved readme to help beginners. Added a few screenshots of example scenes.
  * Added new example revolutePlotAngle. Plots the revolute joint angle in a nice plot (ChartView)
  * Fixed 'make install' command issue on Android (#119)
  * Added new example angleTracking. Showcases a revolute joint tracking an angle set by mouse clicks.
  * Removed invalid iCCP chunk from PNG files
  * Improved the application showcase file (ui.qml):
  - added permanent list view at side
  - removed back button
  - avoid balls get spawned outside of 'brickwall' scene box
  - fixed accept keys for revolute, moving box examples
  - added key text when necessary
  - removed debugDraw for demolition example, as it caused the
    example to crash if clicked from sidebar
- Packaging
  + refresh with spec-cleaner (license macro, copyright year)
  + due incompatible changes use internal Box2D
  + remove external Box2D dependency
* Sun Aug 21 2016 jengelh@inai.de
- Ensure all created directories are owned.
  Set RPM group classification.
* Sun Aug 21 2016 bruno@ioda-net.ch
- Simplify BuildRequires list with the use of pkgconfig(Qt5Quick)
  This fix the unresolvable qtquick 1 failure on TW
* Sun Jul  3 2016 bruno@ioda-net.ch
- Update to version 0+git.1451747535.1b37be7:
  * Corrected some filenames in header comments
- Don't use github url for src, we use service for that.
* Sun Dec 27 2015 bruno@ioda-net.ch
- First packaging for openSUSE
- Make qml-box2d find system Box2D
